# General2.0-Text-to-Image

**Method**: `POST`
**Endpoint**: `/volcv/v1`

<https://www.volcengine.com/docs/6791/1279296>
**For details, see the official integration documentation**

## Request Parameters

### Query Parameters

```text
Action
string
Required
Example:
CVProcess
Version
string
Required
Example:
2022-08-31
```

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
object
Example
{
"req_key"
:
"high_aes_general_v20"
,
"prompt"
:
"Vast armies charging forward"
,
"seed"
:
-1
,
"scale"
:
3.5
,
"ddim_steps"
:
16
,
"width"
:
512
,
"height"
:
512
,
"use_sr"
:
true
,
"return_url"
:
true
,
"logo_info"
:
{
"add_logo"
:
false
,
"position"
:
0
,
"language"
:
0
,
"opacity"
:
0.3
,
"logo_text_content"
:
"This is a visible watermark"
}
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/volcv/v1?Action=CVProcess&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "req_key":"high_aes_general_v20",
    "prompt":"Vast armies charging forward",
    "seed":-1,
    "scale":3.5,
    "ddim_steps":16,
    "width":512,
    "height":512,
    "use_sr":true,
    "return_url":true,
    "logo_info": {
        "add_logo": false,
        "position": 0,
        "language": 0,
        "opacity": 0.3,
        "logo_text_content": "This is a visible watermark"
    }
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
    "code": 10000,
    "data": {
        "algorithm_base_resp": {
            "status_code": 0,
            "status_message": "Success"
        },
        "binary_data_base64": [],
        "image_urls": [
            "https://xxx"
        ],
        "predict_tags_result": "",
  // provider-specific example normalized for English documentation
        "request_id": "0567fc0c9455fa1698df7c48687cb0cc45f7b73a9d87a3f2ae16d06212183aa5"
    },
    "message": "Success",
    "request_id": "2024081617272268D32DE194F8F79A9B58",
    "status": 10000,
    "time_elapsed": "9.7982114s"
}
```
